﻿* Encoding: UTF-8.
*download data at http://madata.bib.uni-mannheim.de/333/1/B5FacetsRelig_Study2_data.sav

*Recode age and female.

RECODE age (Lowest thru 0=-999) (150 thru Highest=-999) (ELSE=Copy) INTO age_m.
VARIABLE LABELS  age_m 'age_m'.
EXECUTE.

MISSING VALUES age_m (-999).

RECODE female (Lowest thru -1=-999) (2 thru Highest=-999) (ELSE=Copy) INTO female_m.
VARIABLE LABELS  female_m 'female_m'.
EXECUTE.

MISSING VALUES female_m (-999).


*Descriptive statistics across countries.

DESCRIPTIVES VARIABLES=  female_m age_m 
  /STATISTICS=MEAN STDDEV MIN MAX.

FREQUENCIES VARIABLES=langu.


*Descriptive statistics and associations between the informant-reported Big Five facets and informant-reported religiosity within countries.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=cnt_now
  /cnt_now_frq=N.

SORT CASES  BY cnt_now.
SPLIT FILE SEPARATE BY cnt_now.

DESCRIPTIVES VARIABLES= cnt_now_frq female_m age_m relig 
  /STATISTICS=MEAN STDDEV MIN MAX.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT orelig
  /METHOD=ENTER oaltr ocomp oorde odisc oasse oacti oaest oidea oanxi odepr
  /SAVE ZPRED.

